org.mariadb.jdbc.internal.com.send.authentication

## Interface AuthenticationPlugin

All Known Implementing Classes:
  ClearPasswordPlugin, Ed25519PasswordPlugin, NativePasswordPlugin, OldPasswordPlugin, SendGssApiAuthPacket, SendPamAuthPacket

    public interface AuthenticationPlugin

### Method Summary

All Methods Instance Methods Abstract Methods
`Buffer` `process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)` Process plugin authentication.

### Method Detail

#### process

    Buffer process(PacketOutputStream out,
                   PacketInputStream in,
                   AtomicInteger sequence)
            throws IOException,
                   SQLException

Process plugin authentication.

Parameters:
  `out` - out stream
  `in` - in stream
  `sequence` - packet sequence
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception